Skip to main content
Nowledge MemNowledge Mem
API ReferenceMemoriesBulkMove

Bulk Move Memories

POST
/memories/bulk/move

Move a bounded selection of memories into another space.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Move selected memories from one space into another.

Response Body

application/json

application/json

curl -X POST "https://example.com/memories/bulk/move" \  -H "Content-Type: application/json" \  -d '{    "selection": {},    "target_space_id": "string"  }'
{  "failed_count": 0,  "index_repair_needed": false,  "index_updated_count": 0,  "message": "string",  "moved_count": 0,  "source_space_id": "string",  "target_space_id": "string"}